### Method

# FwupdPlugin Device get_possible_plugins

#### Declaration [src]

    GPtrArray*
    fu_device_get_possible_plugins (
      FuDevice* self
    )

#### Description [src]

Gets the list of possible plugin names, typically added from quirk files.

Available since: | 1.3.3

#### Return value

Returns: | An array of `utf8`
| Plugin names.
| The caller of the method takes ownership of the data container, but not the data inside it.
| Each element is a NUL terminated UTF-8 string.